Doomsday Engine - Bug #2234

Fov 160 + near clip plane issues with MD2 and FBX HUD Models
2017-04-03 11:47 - theleo_ua

Status: Closed Start date: 2017-04-03
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: Rendering

Description

Fov 160 + near clip plane issues with MD2 and FBX HUD Models

1) Set fov to 160
2) Try to modify offsets in veirdo's 2.0 pack http://dengine.net/talk/discussion/1887/redirect/p1#topic for wand HUD model, for
example from <0, -8, -9> to <0, -8, -2>

Actual result:
http://storage8.static.itmages.ru/i/17/0403/h_1491208720_4077210_b84d58a306.png
http://storage8.static.itmages.ru/i/17/0403/h_1491208720_2770528 2f6cbfe4d9.png

http://storage9.static.itmages.ru/i/17/0403/h_1491208721_1011750_e26aaa3c5f.png
Expected result: https://dl.dropboxusercontent.com/u/25137016/modelFormat/HUD_Wand_01.png

For workaround you can change Yoffset <0, -12, -6> but it brokes model perspective

NOTE: same issue is reproduced for old MD2 models (workaround for MD2 is increasing X and Z scale (without changing Y scale),
s0 in this case changing Yoffset will not cut the model. This workaround doesn't work for FBX due to lack of scale option in DEI
definitions, and also taking into account more complicated animations for FBX models, which will look like weird with changed scale)

Reproduced in 2.0 Stable [#2281] x64 (Windows)

Related issues:

Related to Feature #2358: Fixed FOV for rendering weapon models Closed 2019-12-01
Related to Feature #2379: HUD Weapon FOV 4:3 adaptation Closed 2019-12-24
History

#1 - 2017-04-03 13:06 - skyjake

- Target version set to 2.0.1

#2 - 2017-04-18 19:55 - skyjake
- Target version changed from 2.0.1 to 2.0.2

#3 - 2017-06-24 09:21 - skyjake
- Target version changed from 2.0.2 to 2.0.3

#4 - 2017-07-27 12:21 - skyjake

- Target version changed from 2.0.3 to 72

#5 - 2018-10-27 16:08 - skyjake

- Target version changed from 72 to Rendering

#6 - 2019-12-01 14:02 - skyjake
- Category set to Defect

This should be solved by #2358.

#7 - 2019-12-01 14:02 - skyjake
- Related to Feature #2358: Fixed FOV for rendering weapon models added
#8 - 2019-12-01 14:03 - skyjake
- Status changed from New to Feedback

- Assignee changed from sKyjake to theleo_ua

#9 - 2019-12-01 14:08 - theleo_ua

Hi skyjake

you changed status to feedback and assignee to me - this mean something is required from my side? If yes - what exactly is required from my side?

#10 - 2019-12-01 14:10 - skyjake

Mainly to verify whether the fixed FOV angle for weapons in version 2.2 resolves this issue, so it can be closed.
#11 - 2019-12-01 14:12 - theleo_ua
skyjake wrote:

Mainly to verify whether the fixed FOV angle for weapons in version 2.2 resolves this issue, so it can be closed.

thanks, will do this when have time

#12 - 2019-12-22 19:57 - theleo_ua
- Assignee changed from theleo_ua to skyjake
skyjake wrote:

Mainly to verify whether the fixed FOV angle for weapons in version 2.2 resolves this issue, so it can be closed.

Hi again

| checked this issue in Doomsday 2.2 (build 3272) and it works as expected. But - there is one problem: if Hud model is designed for 16:9 resolution, it
will display with incorrect fov, when using 4:3 resolution, so if the user plays this in 16:9 with rend-model-fov 95, it will display correct fov, but when
using 4:3, user will be forced to use rend-model-fov 85 or rend-model-fov 80 to make same "forward-backward axis" position of the HUD model

In other words, while 16:9 users will use rend-model-fov 95 (for 16:9-based models), 4:3 users should use rend-model-fov 85 or 80 for the same
models

So:

1) I suggest to fix this, so each user (both 16:9 and 4:3) will use same rend-model-fov 95 value for each such model

2) If you need models for testing, we can discuss this in private chat (because | cannot upload such models to global public sharing for now, so only
can give them to you via PM for now). For example, this issue is not reproduced with veirdo's serpent staff and wand 2.0, so you cannot (as |
understand) test this issue with them, so other models are required (which | can provide via PM if needed)

3) Should seperate issue be created for this?

#13 - 2019-12-23 19:19 - skyjake

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

All right, closing this issue since the view FOV is now independent and also weapon models have a smaller near plane clip distance.

Please submit a new Feature issue for the weapon FOV 4:3 adaptation.

#14 - 2019-12-25 14:00 - skyjake
- Related to Feature #2379: HUD Weapon FOV 4:3 adaptation added
